[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-alsaplayer

[DESCRIPTIONS]
TESTSUITE man-alsaplayer	Moblin
		DISPLAYNAME = LSB Manual Alsaplayer Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Alsaplayer - PCM audio player for Linux and compatible OSes.
TESTSUITE END

[MANUAL]
TESTSUITE man-alsaplayer	Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-alsaplayer</b> should show up in the AudioVideo and/or Audio or Player categories, if present.<br />This functional verification requires a working sound setup on the test machine, using one of the ALSA kernel drivers.<br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/alsaplayer</tt>.<br />- Expected result: The alsaplayer application is launched with the <tt>"Alsaplayer"</tt> window. Additional windows may be present if they were left open in a previous run.

STEP Right click in the status area (where volume, etc appear) and select <tt>"Scopes"</tt> from the popup menu.<br />- Expected result: The <tt>"Scopes"</tt> window appears.

STEP Double-click each of the seven <tt>"Scopes"</tt> entries to open the selected visualization plugin in it's own window.<br />- Expected result: The seven visualization windows open.

STEP Download the sample wav file here: <a href="ftp://ftp.linuxfoundation.org/pub/lsb/app-battery/tests/torvalds-says-linux.wav">torvalds-says-linux.wav</a><br />Click the "Play" icon and select the downloaded torvalds-says-linux.wav.<br />Click the "Play" icon a second time.<br />- Expected result: The audio file plays <tt>"Hello this is Linus Torvalds and I pronounce Linux as Linux"</tt>. The visualization scopes should also show activity as the file plays.

[MODULES]
TESTSUITE man-alsaplayer	Moblin
 module Manual_test.pm

[COMPOSITION]

#TESTSUITE man-alsaplayer	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-alsaplayer	*	<appbat-4.0>

TESTSUITE man-alsaplayer	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-alsaplayer	*	<moblin-beta>/lsb

