[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-xpdf

[DESCRIPTIONS]
TESTSUITE man-xpdf	Moblin
		DISPLAYNAME = LSB Manual Xpdf Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Xpdf - a PDF file viewer for the X Window System.
TESTSUITE END

[MANUAL]
TESTSUITE man-xpdf Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-xpdf</b> should show up in the Graphics and/or Office categories, if present.<br />- Was the installation successful?

STEP Change to the <tt>/tmp/lsb-xpdf-tests</tt> directory. Run the command <tt>/opt/lsb/appbat/bin/xpdf test1.pdf</tt>.<br />- Expected result: The xpdf window comes up displaying the contents of the test1.pdf file.

STEP Select the "find" icon (binoculars) at the bottom of the window. When the "find" dialog box appears enter "review" and click the "Find" button.<br />- Expected result: The word "Review" will be highlighted in the document.

STEP Click the "Close" button in the dialog box.<br />- Expected result: The <b>Find</b> dialog box should close.

STEP Press "z" on the keyboard.<br />- Expected result: The document is reduced in size to fit completely within the xpdf window.

STEP Press "w" on the keyboard.<br />- Expected result: The document is expanded back to its prior size where its width is the width of the xpdf window.

STEP Press "o" on the keyboard. When the open dialogue box appears highlight the test2.pdf file and click the "Open" button.<br />- Expected result: The xpdf window now displays the test2.pdf file.

STEP Click the "Quit" button.<br />- Expected result: The xpdf window closes.

[MODULES]
TESTSUITE man-xpdf	Moblin
 module Xpdf_manual_test.pm
 requires Manual_test.pm

[COMPOSITION]
#TESTSUITE man-xpdf	*	Moblin 2.0	x86	cert
#	test1.pdf		<tests>
#	test2.pdf		<tests>
#	lsb-setup	*	<base>
#	lsb-xpdf	*	<appbat-4.0>

TESTSUITE man-xpdf	*	Moblin 2.0	x86	cert
	test1.pdf		<moblin-beta>/lsb
	test2.pdf		<moblin-beta>/lsb
	lsb-setup	*	<moblin-beta>/lsb
	lsb-xpdf	*	<moblin-beta>/lsb

