[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-celestia

[DESCRIPTIONS]
TESTSUITE man-celestia	Moblin
		DISPLAYNAME = LSB Manual Celestia Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Celestia - a program for real-time visual space simulation.
TESTSUITE END

[MANUAL]
TESTSUITE man-celestia	Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-celestia</b> should show up in the Graphics and/or Education categories, if present.<br />Make sure that the DISPLAY variable points to an appropriate X display, and the host will allow you to create windows on it. For a remote display, or if running as a user other than the user logged in on the local display, you may have to use the <em>xhost +</em> command to enable this functionality. Remember to restore the default setting as this setting is insecure.<br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/celestia</tt>.<br />- Expected result: celestia application window comes up.

STEP Enter "4" on the keyboard to select Mars.<br />- Expected result: celestia updates info in upper left to indicate distance from Mars.

STEP Enter "g" on keyboard to travel to Mars.<br />- Expected result: celestia zooms in on Mars.

STEP Enter "3" on keyboard to select Earth.<br />- Expected result: celestia updates info in upper left to indicate distance from Earth.

STEP Enter "g" on keyboard to travel to Earth.<br />- Expected result: celestia zooms in on Earth.

STEP Enter "d" on keyboard to run celestia demo.<br />- Expected result: celestia will run through it demo routine which will take several minutes to complete.

[MODULES]
TESTSUITE man-celestia	Moblin
 module Manual_test.pm

[COMPOSITION]
#TESTSUITE man-celestia	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-celestia	*	<appbat-4.0>

TESTSUITE man-celestia	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-celestia	*	<moblin-beta>/lsb

